@import url("https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&display=swap");

body {
  margin: 0px;
  padding: 0px;
  font-family: "Inter", "sans-serif" !important;
}

body a {
  text-decoration: none !important;
}

input[type="radio"] {
  accent-color: #000 !important;
}

.form-check-input {
  border: var(--bs-border-width) solid #212529 !important;
  border-radius: 0px !important;
}

.form-check-input:checked {
  background-color: #212529 !important;
  border-color: #212529 !important;
}

/* pickup_note css start */
.pickup_note {
  margin-top: 10px;
}

.pickup_note .pickup {
  font-size: 18px;
  font-weight: 600;
  color: #bb0000;
  margin: 0;
}

.pickup_note .pickup_text {
  font-size: 18px;
  font-weight: 600;
  color: #1a1a1a;
  margin: 0;
}

@media (min-width: 0px) and (max-width: 575px) {
  .pickup_note .pickup_text,
  .pickup_note .pickup {
    font-size: 16px;
  }
}

@media (min-width: 576px) and (max-width: 767px) {
  .pickup_note .pickup_text,
  .pickup_note .pickup {
    font-size: 16px;
  }
}

@media (min-width: 768px) and (max-width: 991px) {
  .pickup_note .pickup_text,
  .pickup_note .pickup {
    font-size: 15px;
  }
}
/* pickup_note css start */

/* upload_btn css start */

.upload_btn {
  display: inline-block;
  /* padding: 12px 24px; */
  background: #f5f5f5;
  color: #707070;
  border-radius: 8px;
  cursor: pointer;
  font-size: 14px;
  font-weight: 500;
  transition: 0.3s ease;
  display: flex;
  align-items: center;
  justify-content: space-between;
  width: 180px;
  padding-left: 20px;
}

.upload_btn:hover {
  opacity: 0.85;
}

.upload_btn .upload_icon {
  background: #e0e0e0 0% 0% no-repeat padding-box;
  border: 1px solid #70707029;
  border-radius: 2px;
  font-size: 22px;
  padding: 5px;
}

.hidden_input {
  display: none;
}

@media (min-width: 0px) and (max-width: 767px) {
  .upload_btn .upload_icon {
    font-size: 16px;
  }
}

@media (min-width: 576px) and (max-width: 767px) {
  .upload_btn .upload_icon {
    font-size: 16px;
  }
}

/* upload_btn css end */

/* ==============================
 .requirement-text
================================= */

.requirement-text {
  margin-bottom: 20px;
  display: flex;
  gap: 50px;
  justify-content: start;
  align-items: flex-start;
  color: #000;
  font-weight: 500;
  font-size: 15px;
}
@media (max-width: 1199px) {
  .requirement-text {
    gap: 20px;
  }
}

@media (max-width: 991px) {
  .requirement-text {
    flex-direction: column;
    gap: 5px;
  }
}

@media (max-width: 767px) {
  .requirement-text {
    font-size: 13px;
  }
}

@media (max-width: 575px) {
  .requirement-text {
    font-size: 12px;
  }
}

/* ==============================
   Upload Image Preview
================================= */

.upload-preview-wrapper {
  position: relative;
  width: 70px;
  height: 70px;
  margin: 10px 0 10px 20px;
  border: 1px solid #ddd;
  float: right;
  border-radius: 6px;
}

.upload-preview-wrapper img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.upload-preview-wrapper .remove-img {
  position: absolute;
  top: -8px;
  right: -8px;
  background: #666;
  color: #fff;
  border-radius: 50%;
  width: 18px;
  height: 18px;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 12px;
  cursor: pointer;
  z-index: 2;
}

@media (max-width: 991px) {
  .upload-preview-wrapper {
    float: none;
    margin-left: 0;
    margin-top: 15px;
  }
}

@media (max-width: 767px) {
  .upload-preview-wrapper {
    width: 60px;
    height: 60px;
  }
}
/* ===================================
   TABS
=================================== */

.tabs_pane_holder {
  border-bottom: none !important;
  gap: 10px !important;
  flex-flow: nowrap !important;
  text-wrap-mode: nowrap !important;
  overflow: hidden !important;
  overflow-x: auto !important;
  scrollbar-width: none !important;
  padding-bottom: 10px !important;
}

.tabs_pane_holder .nav-link {
  border: 1px solid #d9d9d9 !important;
  color: #1a1a1a !important;
  font-size: 15px !important;
  font-weight: 700 !important;
  padding: 5px 10px !important;
  border-radius: 6px !important;
  background: #ffffff !important;
}

.tabs_pane_holder .nav-link.active {
  border-color: #bb0000 !important;
  color: #bb0000 !important;
  background: #fff2f2 !important;
}

/* order_status_css start*/

.ordered_status_holder {
  font-size: 14px;
  color: #ffffff;
  padding: 3px 14px;
  border-radius: 20px;
  font-weight: 500;
  display: flex;
  align-items: center;
  gap: 6px;
}

.ordered_status {
  background: #cc9809e0;
}

.progress_status {
  background: #f86b00d6;
}

.delivered_status {
  background: #236b00b0;
}

/* order_status_css end */

/* coupon bell title css start */
.coupon_div {
  display: flex;
  align-items: center;
  gap: 8px;
}

.coupon_div span {
  font-size: 14px;
  color: #707070;
  font-weight: 600;
}

.coupon_div .price_tag {
  width: 20px;
  height: 100%;
  object-fit: cover;
}

/* coupon bell title css end */

/* modal_close_btn start */
.modal_close_btn {
  width: 30px;
  height: 30px;
  background: #707070;
  color: #f8f9fa;
  border: 4px solid #a9adb2;
  border-radius: 50%;
  font-size: 14px;
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
  transition: background 0.2s;
}

@media (min-width: 0px) and (max-width: 485px) {
  .modal_close_btn {
    width: 25px;
    height: 25px;
  }
}

/* modal_close_btn end */

.cart-success-modal.modal-dialog {
  position: fixed;
  top: 10px;
  right: 10px;
  margin: 0;
  transform: none !important;
  box-shadow: 0px 3px 6px #00000029;
  z-index: 998;
  max-width: 550px;
  width: 550px;
}

.cart-success-modal .modal-content {
  border-radius: 0px;
  padding: 0;
  overflow: hidden;
  box-shadow: 0px 3px 6px #00000029;
}

.cart-success-modal .cart-success-body {
  display: flex;
  gap: 25px;
  align-items: center;
  padding: 15px !important;
}

.cart-success-modal .cart-success-body .cart-img {
  width: 100px;
  height: 110px;
  background: #fffaf5;
  border: 1px solid #000;
  border-radius: 3px;
  /* padding: 5px; */
}

.cart-success-modal .cart-success-body .cart-img img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.cart-success-modal .cart-success-body .cart-content {
  flex: 1;
}

.cart-success-modal .cart-success-body .top-row {
  display: flex;
  justify-content: space-between;
  align-items: flex-start;
}

.cart-success-modal .cart-success-body .top-row .top_text {
  font-size: 16px;
  font-weight: 600;
  margin: 0;
  color: #000;
}

.cart-success-modal .cart-success-body .top-row .middle_text {
  font-size: 16px;
  font-weight: 600;
  margin: 0;
  color: #bb0000;
}



.cart-success-modal .cart-success-body .btn-row {
  display: flex;
  gap: 10px;
  margin-top: 15px;
}

.cart-success-modal .cart-success-body .cart-btn {
  font-size: 14px;
  font-weight: 500;
}

.cart-success-modal .cart-success-body .continue-btn {
  background: #ffffff !important;
  border: 1px solid #1f2a44 !important;
  color: #1f2a44 !important;
}

.cart-success-modal .cart-success-body .modal-backdrop.show {
  opacity: 0;
}

@media (max-width: 576px) {
  .cart-success-modal.modal-dialog {
    width: 280px;
    max-width: 280px;
    top: 50%;
    left: 50%;
    right: auto;
    transform: translate(-50%, -50%) !important;
    margin: 0;
  }

  .cart-success-modal .cart-success-body {
    flex-direction: column;
    align-items: center;
    gap: 12px;
    text-align: center;
  }
  .tabs_pane_holder .nav-link {
    font-size: 13px !important;
    padding: 4px 7px !important;
  }

  .cart-success-modal .cart-success-body .cart-img {
    width: 100px;
    height: 90px;
  }

  .cart-success-modal .cart-success-body .top-row {
    width: 100%;
    justify-content: center;
  }

  .cart-success-modal .cart-success-body .btn-row {
    flex-direction: column;
    width: 100%;
  }

  .cart-success-modal .cart-success-body .btn-row button,
  .cart-success-modal .cart-success-body .cart-btn {
    width: 100%;
  }

  .cart-success-modal .cart-success-body .top-row h5 {
    font-size: 14px;
  }

  .cart-success-modal .cart-success-body .top-row p {
    font-size: 13px;
  }


}

@media (min-width: 576px) and (max-width: 991px) {
  .cart-success-modal.modal-dialog {
    top: 60px;
    right: 0;
  }

  .cart-success-modal .cart-success-body {
    gap: 15px;
  }

  .cart-success-modal .cart-success-body .cart-img {
    width: 90px;
    height: 100px;
  }
}

@media (min-width: 576px) and (max-width: 768px) {
  .cart-success-modal.modal-dialog {
    width: 520px;
    max-width: 500px;
    top: 60px;
  }
}
